*, *:before, *:after{
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}

:root{
	--color-bg-1:#222D87;
	--color-bg-2:#1C8329;
	--color-bg-0:#C3D1C5;
	--color-header-step:#3FAE2D;
	--color-shadow:#222;
	--color-border-input:#ddd;
}

/* Contenedor principal */
.root{
	display:flex;
	width: 100%;
	justify-content: center;
	align-items: center;
	margin: 0 auto;
	min-height: 100vh;
	font-size: 16px;
	font-family: sans-serif;
	background-image: linear-gradient(var(--color-bg-1),var(--color-bg-2));
	overflow: hidden;
}


/* Formulario */
.form-register{
	padding: 0 0 0 0;
	width: 60%;
} 
/* Header del Formulario */


/* Progressbar */
.progressbar{
	display: flex;
	list-style: none;
	margin-bottom: 15px;
	counter-reset: step;
}

.progressbar-option{
	width: 100%;
	text-align: center;
	font-size: .7rem;
	text-transform: uppercase;
	position: relative;
	color: white;
	font-size: 13px;
	margin-bottom: 10px;
	margin-top: 10px;
}
/* Progressbar Cuadrados*/
.progressbar-option::before{
	display: flex;
	content: counter(step);
	counter-increment: step;
	justify-content: center;
	align-items: center;
	width: 20px;
	height: 20px;
	background-color: white;
	margin: 0 auto 5px;
	border-radius: 3px;
	position: relative;
	z-index: 2;
}

.progressbar-option.active:before, .progressbar-option.active:after{
	background-color: var(--color-header-step);
}

/* Progressbar Lineas*/
.progressbar-option::after{
	display: block;
	content: '';
	width: 100%;
	height: 2px;
	background-color: white;
	position: absolute;
	top: 10px;
	left: -50%;
	z-index: 1;
}
.progressbar-option:first-child:after{
	content: none;
}

/* Body del formulario */
.form-register-body {
	display: flex;
	align-items: flex-start;
}

/* Step */
.step{
	background-color: white;
	box-shadow: 5px 5px 5px 2px var(--color-shadow);
	border-radius: 3px;
	min-width: 100%;
	opacity: 0;
	transition: all .2s linear;
}

.step.active{
	opacity: 1;
}

.step.to-left{
	margin-left: -100%;
}

.step.inactive{
	animation-name: scale;
	animation-duration: .2s;
	animation-direction: alternate;
	animation-iteration-count: 2;
}
@keyframes scale{
	from{
		transform: scale(1);
	}
	to{
		transform: scale(1.1);
	}
}

/* Header del Step */
.step-header{
	padding: 20px 15px;
	background-color: var(--color-header-step);
	border-radius: 3px 3px 0 0;
}

.ui-datepicker, .ui-state-default, .ui-state-hover, .ui-state-active
{
    font-size:15px;
}

.step-title{
	font-size: 1.1rem;
	text-align: center;
	color: white;
	font-size: 20px;
}
/* Body del Step */
.step-body{
	padding: 20px 15px 0
}

/* Step inputs */
.oculto{
	width: 1%;
	border: 0;
	color: white;
}
.Selectestado{
	width: 49.5%;
	padding: 15px;
	margin-bottom: 5px;
	margin-top: 10px;
	border-radius: 3px;
	border: 1px solid var(--color-border-input)
}
.selectCiuda{
	width: 49.5%;
	padding: 15px;
	margin-bottom: 5px;
	margin-top: 10px;
	border-radius: 3px;
	border: 1px solid var(--color-border-input)
}
.selectTaller{
	display: block;
	width: 100%;
	padding: 15px;
	margin-bottom: 20px;
	margin-top: 10px;
	border-radius: 3px;
	border: 1px solid var(--color-border-input)
}
label {
  	padding: 12px 12px 12px 0;
  	display: inline-block;
}
.selectFecha{
	width: 90%;
	padding: 12px;
  	border: 1px solid #ccc;
  	border-radius: 4px;
  	resize: vertical;
}
.carroDatos{
	width: 32%;
  	padding: 12px 20px;
  	margin: 8px 0;
  	display: inline-block;
  	border: 1px solid #ccc;
  	border-radius: 4px;
  	box-sizing: border-box;
}
.dondeCompro{
	width: 45%;
  	padding: 12px 20px;
  	margin: 8px 0;
  	display: inline-block;
  	border: 1px solid #ccc;
  	border-radius: 4px;
  	box-sizing: border-box;
}
.cuponLlantas{
	width: 25%;
  	padding: 12px 20px;
  	margin: 8px 0;
  	display: inline-block;
  	border: 1px solid #ccc;
  	border-radius: 4px;
  	box-sizing: border-box;
}
.selectCompra{
	width: 49.5%;
	padding: 15px;
	margin-bottom: 5px;
	margin-top: 10px;
	border-radius: 3px;
	border: 1px solid var(--color-border-input)
}
.selectLlantas{
	width: 38%;
	padding: 15px;
	margin-bottom: 5px;
	margin-top: 10px;
	border-radius: 3px;
	border: 1px solid var(--color-border-input)
}
.cupon{
	width: 58%;
	padding: 15px;
	margin-bottom: 5px;
	margin-top: 10px;
	border-radius: 3px;
	border: 1px solid var(--color-border-input)
}
.pedidoID{

	width: 49.5%;
	padding: 15px;
	margin-bottom: 5px;
	margin-top: 10px;
	border-radius: 3px;
	border: 1px solid var(--color-border-input)
}
.nombre{
	width: 49.5%;
	padding: 15px;
	margin-bottom: 5px;
	margin-top: 10px;
	border-radius: 3px;
	border: 1px solid var(--color-border-input)
}
.ultimos{
	display: block;
	width: 100%;
	padding: 15px;
	margin-bottom: 5px;
	margin-top: 10px;
	border-radius: 3px;
	border: 1px solid var(--color-border-input)
}
/* pie del formulario*/
.step-footer{
	padding: 20px 15px;
	text-align: center;
}

/* Step Botones */
.step-button{
	display: inline-block;
	padding: 10px;
	background-color: white;
	border: 2;
	border-color: green;
	color: green;
	border-radius: 3px;
	cursor: pointer;
}

/* Boton que despliega servicios */
.botonOculto{
	display: inline-block;
	padding: 5px;
	font-size: 20px;
	background-color: white;
	border: 2;
	border-color: green;
	color: green;
	border-radius: 30px;
	cursor: pointer;
}
.botonOculto:hover{
	background-color: green;
	color: white;
}

/*Boton atras y adelante */
.step-button:hover{
	background-color: green;
	color: white;
}
.opciones{
	font-family: Arial;
	padding: 10px;
	font-size: 17px;
}
@media screen and (max-width: 600px){
	.Selectestado {
		width: 100%;
	}
	.selectCiuda{
		width: 100%;
	}
	.carroDatos{
		width: 100%;
	}
	.selectCompra{
		width: 100%;
	}
	.pedidoID{
		width: 100%;
	}
	.nombre{
		width: 100%;
	}
	.selectLlantas{
		width: 100%;
	}
	.cupon{
		width: 100%;
	}
	h2{
		font-size: 12px;
		text-align: center;
	}
	.selectFecha{
		margin-bottom: 10px;
	}
	.step-button{
		margin-bottom: 10px;
	}
	.form-register{
		width: 90%;
	}
	.close-modal{
		color: #3C56E7;
	}
	.close-modal1{
		color: #3C56E7;
	}
}


/* The container SERVICIOS ADICIONALES*/
.container {
  display: block;
  position: relative;
  padding-left: 30px;
  margin-bottom: 0;
  cursor: pointer;
  font-size: 15px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default checkbox */
.container input {
  position: absolute;
  color: black;
  cursor: pointer;
  height: 0;
  width: 0;
  margin-top: 15px;
}

/* Create a custom checkbox */
.checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 25px;
  width: 25px;
  background-color: #eee;
}

/* On mouse-over, add a grey background color */
.container:hover input ~ .checkmark {
  background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.container input:checked ~ .checkmark {
  background-color: #2196F3;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.container input:checked ~ .checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.container .checkmark:after {
  left: 9px;
  top: 5px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}
/* Campo requerido */
